%define major	7
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		crengine-ng
Version:	0.9.12
Release:	%mkrel 2
Summary:	Library designed to implement text viewers and e-book readers
License:	GPLv2+
Group:		Office/Utilities
Url:		https://gitlab.com/coolreader-ng/crengine-ng
Source0:	https://gitlab.com/coolreader-ng/crengine-ng/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libunibreak)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(libutf8proc)
BuildRequires:	pkgconfig(zlib)

# Builds with modified source
Provides:	bundled(chmlib)
Provides:	bundled(antiword)

%description
crengine-ng is cross-platform library designed to implement text
viewers and e-book readers.

Supported document formats: fb2, fb3, epub (without DRM), rtf, doc,
docx, odt, htm, Markdown, chm, pdb, mobi (without DRM), txt, trc, prc.
In fact, this is a fork of the CoolReader project.

%package -n	%{libname}
Summary:	Library designed to implement text viewers and e-book readers
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n	%{libname}
crengine-ng is cross-platform library designed to implement text
viewers and e-book readers.

Supported document formats: fb2, fb3, epub (without DRM), rtf, doc,
docx, odt, htm, Markdown, chm, pdb, mobi (without DRM), txt, trc, prc.
In fact, this is a fork of the CoolReader project.

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Header files for development with %{name}.

%prep
%autosetup -p1

%build
%cmake \
	-DCRE_BUILD_SHARED=ON \
	-DCRE_BUILD_STATIC=OFF \
	-DUSE_COLOR_BACKBUFFER=ON \
	-DMAX_IMAGE_SCALE_MUL=2 \
	-DDOC_DATA_COMPRESSION_LEVEL=3 \
	-DDOC_BUFFER_SIZE=0x1400000 \
	-DOFFLINE_BUILD_MODE=ON
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS ChangeLog CONTRIBUTING.md README.md
%license LICENSE
%{_datadir}/%{name}/

%files -n %{libname}
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.9.12-2.mga10
+ Revision: 2227712
- Mageia 10 Mass Rebuild

* Mon Sep 16 2024 daviddavid <daviddavid> 0.9.12-1.mga10
+ Revision: 2097279
- initial package crengine-ng

